USN-4315-1: Apport vulnerabilities

2 April 2020

apport vulnerabilities

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 19.10
  • Ubuntu 18.04 LTS
  • Ubuntu 16.04 LTS

Summary

Several security issues were fixed in Apport.

Software Description

  • apport - automatically generate crash reports for debugging

Details

Maximilien Bourgeteau discovered that the Apport lock file was created with insecure permissions. This could allow a local attacker to escalate their privileges via a symlink attack. (CVE-2020-8831)

Maximilien Bourgeteau discovered a race condition in Apport when setting crash report permissions. This could allow a local attacker to read arbitrary files via a symlink attack. (CVE-2020-8833)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 19.10
apport - 2.20.11-0ubuntu8.8
python-apport - 2.20.11-0ubuntu8.8
python3-apport - 2.20.11-0ubuntu8.8
Ubuntu 18.04 LTS
apport - 2.20.9-0ubuntu7.14
python-apport - 2.20.9-0ubuntu7.14
python3-apport - 2.20.9-0ubuntu7.14
Ubuntu 16.04 LTS
apport - 2.20.1-0ubuntu2.23
python-apport - 2.20.1-0ubuntu2.23
python3-apport - 2.20.1-0ubuntu2.23

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References